import { PreprocessorGroup } from 'svelte/types/compiler/preprocess';
import { UserConfig } from '@unocss/core';

interface SveltePreprocessUnocssOptions {
    /**
     * Prefix for compiled class name
     * @default 'uno-'
     */
    classPrefix?: string;
    /**
     * Add hash and combine recognized tokens (optimal for production); set false in dev mode for easy dev tools toggling to allow for design adjustments in the browser
     * @default true
     */
    combine?: boolean;
    /**
     * Hash function
     */
    hashFn?: (str: string) => string;
    /**
     * Run @unocss/transformer-directives on style blocks
     * @default true
     */
    transformDirectives?: boolean;
}
declare function SveltePreprocessUnocss({ configOrPath, options, }: {
    configOrPath?: UserConfig | string;
    options: SveltePreprocessUnocssOptions;
}): PreprocessorGroup;

export { SveltePreprocessUnocssOptions, SveltePreprocessUnocss as default };
